net.sf.okapi.common.annotation

## Class GlossEntry

- java.lang.Object
- - net.sf.okapi.common.annotation.GlossEntry

- All Implemented Interfaces:
    java.lang.Iterable<GlossEntry.Translation>

      public class GlossEntry
      extends java.lang.Object
      implements java.lang.Iterable<GlossEntry.Translation>

  Wrapper class for XLIFF glossary entry element of the Glossary module.
  Author:
    Vladyslav Mykhalets

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GlossEntry.Definition` Wrapper class for XLIFF glossary definition element of the Glossary module.
    `static class` | `GlossEntry.Term` Wrapper class for XLIFF glossary term element of the Glossary module.
    `static class` | `GlossEntry.Translation` Wrapper class for XLIFF glossary translation element of the Glossary module.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlossEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTranslation(GlossEntry.Translation translation)`
    `boolean` | `equals(java.lang.Object o)`
    `GlossEntry.Definition` | `getDefinition()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getRef()`
    `GlossEntry.Term` | `getTerm()`
    `java.util.Set<GlossEntry.Translation>` | `getTranslations()`
    `int` | `hashCode()`
    `java.util.Iterator<GlossEntry.Translation>` | `iterator()`
    `void` | `setDefinition(GlossEntry.Definition definition)`
    `void` | `setId(java.lang.String id)`
    `void` | `setRef(java.lang.String ref)`
    `void` | `setTerm(GlossEntry.Term term)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### GlossEntry

          public GlossEntry()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getRef

          public java.lang.String getRef()

    - #### setRef

          public void setRef(java.lang.String ref)

    - #### getDefinition

          public GlossEntry.Definition getDefinition()

    - #### setDefinition

          public void setDefinition(GlossEntry.Definition definition)

    - #### getTerm

          public GlossEntry.Term getTerm()

    - #### setTerm

          public void setTerm(GlossEntry.Term term)

    - #### getTranslations

          public java.util.Set<GlossEntry.Translation> getTranslations()

    - #### addTranslation

          public void addTranslation(GlossEntry.Translation translation)

    - #### iterator

          public java.util.Iterator<GlossEntry.Translation> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<GlossEntry.Translation>`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`